package com.tsi.comm.server.protocol;

import com.tsi.comm.server.protocol.enums.eOpCode;
import com.tsi.common.utils.Timespec;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TsiCpuAddPacket extends TsiCpuPacket {

    public TsiCpuAddPacket(long nodeId, Timespec timespec, long remoteIpAddr, int remotePort) {
        super(nodeId, timespec.times(), timespec.timestamp(), remoteIpAddr, remotePort);
        setOpCode(eOpCode.TSI_CPU_SIGNAL_ADD.getValue());
    }

}
